package org.jibx.xsd2jibx;

import java.io.File;
import java.io.IOException;

import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.js.JavaSourceFactory;

/** wraps JavaSourceFactory since I can't extend it */
public class JSourceFactory {

	private JavaSourceFactory factory = null;

	public JSourceFactory() {
	}

	public JSource newJSource(JQName qname) {
		return new JSource(factory.newJavaSource(qname.getJavaQName(),
				JavaSource.PUBLIC));
	}

	public void write(File dir) {
		try {
			factory.write(dir);
		} catch (IOException e) {
			throw new GeneratorException("unable to write source files to directory: " + dir, e);
		}
	}

	public JavaSourceFactory getJavaSourceFactory() {
		return factory;
	}
	public void setJavaSourceFactory(JavaSourceFactory factory) {
		this.factory = factory;
	}
}